Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | List of all members
ItemPool Class Reference

## Public Member Functions
CollectibleType | GetCollectible (ItemPoolType PoolType, boolean Decrease, integer Seed)
boolean | RemoveCollectible (CollectibleType Collectible)
| Removes a collectible and returns it if it was found. More...
boolean | RemoveTrinket (TrinketType Trinket)
| ResetTrinkets ()
TrinketType | GetTrinket ()
Card | GetCard (integer Seed, boolean Playing, boolean Rune, boolean OnlyRunes)
PillColor | GetPill (integer Seed)
PillEffect | GetPillEffect (PillColor PillColor)
| IdentifyPill (PillColor PillColor)
boolean | IsPillIdentified (PillColor PillColor)
PillColor | ForceAddPillEffect (PillEffect PillEffect)
| Forces a pill effect to be in the pool, usually for challenges, returns PillColor for that effect. More...
ItemPoolType | GetLastPool ()
ItemPoolType | GetPoolForRoom (RoomType RoomType, integer Seed)
| ResetRoomBlacklist ()
| AddRoomBlacklist (CollectibleType Item)
| AddBibleUpgrade (integer Add, ItemPoolType PoolType)

## Member Function Documentation

## ◆ AddBibleUpgrade()

ItemPool::AddBibleUpgrade | ( | integer | Add,
|  | ItemPoolType | PoolType
| ) |  |

## ◆ AddRoomBlacklist()

ItemPool::AddRoomBlacklist | ( | CollectibleType | Item | ) |

## ◆ ForceAddPillEffect()

PillColor ItemPool::ForceAddPillEffect | ( | PillEffect | PillEffect | ) |

Forces a pill effect to be in the pool, usually for challenges, returns PillColor for that effect.

## ◆ GetCard()

Card ItemPool::GetCard | ( | integer | Seed,
|  | boolean | Playing,
|  | boolean | Rune,
|  | boolean | OnlyRunes
| ) |  |

## ◆ GetCollectible()

CollectibleType ItemPool::GetCollectible | ( | ItemPoolType | PoolType,
|  | boolean | Decrease,
|  | integer | Seed
| ) |  |

## ◆ GetLastPool()

ItemPoolType ItemPool::GetLastPool | ( |  | ) |

## ◆ GetPill()

PillColor ItemPool::GetPill | ( | integer | Seed | ) |

## ◆ GetPillEffect()

PillEffect ItemPool::GetPillEffect | ( | PillColor | PillColor | ) |

## ◆ GetPoolForRoom()

ItemPoolType ItemPool::GetPoolForRoom | ( | RoomType | RoomType,
|  | integer | Seed
| ) |  |

## ◆ GetTrinket()

TrinketType ItemPool::GetTrinket | ( |  | ) |

## ◆ IdentifyPill()

ItemPool::IdentifyPill | ( | PillColor | PillColor | ) |

## ◆ IsPillIdentified()

boolean ItemPool::IsPillIdentified | ( | PillColor | PillColor | ) |

## ◆ RemoveCollectible()

boolean ItemPool::RemoveCollectible | ( | CollectibleType | Collectible | ) |

Removes a collectible and returns it if it was found.

## ◆ RemoveTrinket()

boolean ItemPool::RemoveTrinket | ( | TrinketType | Trinket | ) |

## ◆ ResetRoomBlacklist()

ItemPool::ResetRoomBlacklist | ( |  | ) |

## ◆ ResetTrinkets()

ItemPool::ResetTrinkets | ( |  | ) |